> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Deletes a file identified by the provided file ID.



## OpenAPI

````yaml /api-reference/openapi.json delete /files/{file_id}
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /files/{file_id}:
    delete:
      tags:
        - Files
      summary: Delete File
      description: Deletes a file identified by the provided file ID.
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the file to delete.
      responses:
        '200':
          description: File successfully deleted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Auto-assigned UUID file identifier.
                    example: file-abc123
                  object:
                    type: string
                    description: Object type, which will always be 'file'.
                    example: file
                  deleted:
                    type: boolean
                    description: Indicates whether the file was successfully deleted.
                    example: true
        '401':
          description: >-
            Unauthorized. The request was missing authentication or contained
            invalid credentials.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: Invalid API key.
        '404':
          description: File not found. The specified file ID does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: File not found.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````